package com.tanya.careerguidanceproject.activities

import android.content.Intent
import android.net.Uri
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import com.tanya.careerguidanceproject.R
//import kotlinx.android.synthetic.main.activity_preparation_kit.*

class PreparationKit : AppCompatActivity() {

    private lateinit var btnResume : Button
    private lateinit var btnSkills : Button
    private lateinit var btnTest : Button

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_preparation_kit)

        btnResume = findViewById(R.id.btnBuildResume)
        btnSkills = findViewById(R.id.btnDevelopSkills)
        btnTest = findViewById(R.id.btnTakeAssessments)

        btnResume.setOnClickListener{
            val openURL = Intent(Intent.ACTION_VIEW)
            openURL.data = Uri.parse("https://resumebuild.com/")
            startActivity(openURL)
        }

        btnSkills.setOnClickListener{
            val openURL = Intent(Intent.ACTION_VIEW)
            openURL.data = Uri.parse("https://www.coursera.org/in")
            startActivity(openURL)
        }

        btnTest.setOnClickListener{
            val openURL = Intent(Intent.ACTION_VIEW)
            openURL.data = Uri.parse("https://www.indeed.com/career-advice/career-development/skills-assessment-test")
            startActivity(openURL)
        }

    }
}